View Issue Details

IDProjectCategoryView StatusLast Update
0035340LazarusDebuggerpublic2019-04-13 10:47
ReporternanobitAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformwin32OSWindowsOS Version10
Product Version2.0Product Build 
Target Version2.0.2Fixed in Version2.0.2 
Summary0035340: watching of Unicodestring
DescriptionThe watching of Unicodestring (unlike String, Widestring) in watches
works only with typecasting: pwidechar(ustring).
TagsNo tags attached.
Fixed in Revision60930
LazTarget2.0.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0035359 closedSven Barth FPC Wrong dwarf-3 info for unicodestring 

Activities

Martin Friebe

2019-04-10 20:21

manager   ~0115403

GDB + fpdebug, I guess?

Martin Friebe

2019-04-10 21:14

manager   ~0115408

Ok, done some tests:
- gdb + fpdebug / or fpdebug
- dwarf3 only

Martin Friebe

2019-04-10 23:06

manager   ~0115412

While there is an issue in fpdebug, there appears an issue in fpc as well 0035359

This means once fixed fpdebug will (like gdb) only show half the string.

Martin Friebe

2019-04-11 18:28

manager   ~0115430

FpDebug is fixed in r60930

Leaving open for now, May have a look, if a workaround for the fpc issue can be added.

Martin Friebe

2019-04-13 01:47

manager   ~0115460

Workaround in rev 60946

Martin Friebe

2019-04-13 01:48

manager   ~0115461

Please test and close if ok

nanobit

2019-04-13 10:47

reporter   ~0115463

Test Ok, thanks!

Issue History

Date Modified Username Field Change
2019-04-07 19:31 nanobit New Issue
2019-04-07 19:31 nanobit Status new => assigned
2019-04-07 19:31 nanobit Assigned To => Martin Friebe
2019-04-10 20:21 Martin Friebe Note Added: 0115403
2019-04-10 21:14 Martin Friebe Note Added: 0115408
2019-04-10 23:04 Martin Friebe Relationship added related to 0035359
2019-04-10 23:06 Martin Friebe Note Added: 0115412
2019-04-11 18:28 Martin Friebe Note Added: 0115430
2019-04-13 01:47 Martin Friebe Note Added: 0115460
2019-04-13 01:48 Martin Friebe Fixed in Revision => 60930
2019-04-13 01:48 Martin Friebe LazTarget => 2.0.2
2019-04-13 01:48 Martin Friebe Note Added: 0115461
2019-04-13 01:48 Martin Friebe Status assigned => resolved
2019-04-13 01:48 Martin Friebe Fixed in Version => 2.0.2
2019-04-13 01:48 Martin Friebe Resolution open => fixed
2019-04-13 01:48 Martin Friebe Target Version => 2.0.2
2019-04-13 10:47 nanobit Note Added: 0115463
2019-04-13 10:47 nanobit Status resolved => closed